Scilab Function
Last update : 00/00/0000

logm - logarithme matriciel d'une matrice carrée

### Calling Sequence

  `y=logm(x)`

### Parameters

- `x` : matrice carrée

### Description

`logm(x)` est le logarithme matriciel de `x`. Le résultat est complexe si `x` n'est pas positive ou définie positive. Si `x` est une matrice symétrique, le calcul est fait en utilisant la forme de Schur. Sinon, `x` est supposée diagonalisable. On a `expm(logm(x))=x`

### Examples

    A=[1,2;3,4];
    logm(A)
    expm(logm(A))
    A1=A*A';
    logm(A1)
    expm(logm(A1))
    A1(1,1)=%i;
    expm(logm(A1))

### See Also

`expm`, `log`,